import { default as Layer } from './layer';
import { OfdDocument } from './ofdDocument';
import { XmlData } from './ofdData';
export declare class ContentLayer extends Layer {
    #private;
    private ofdDocument;
    private setDefaultZOrder;
    private defaultZorderValue;
    constructor(ofdDocument: OfdDocument);
    renderWithZOrder(pageData: XmlData, pageContainer: Element, zOrder: number): null | undefined;
    render(pageData: XmlData, pageContainer: Element): null | undefined;
}
